Name: alt-docs-main
Version: 0.5
Release: alt1
Group: Documentation
Packager: ALT Docs Team <docs@packages.altlinux.org>

Source0: %name-%version.tar.bz2

License: %fdl
BuildArch: noarch
Url: http://heap.altlinux.ru/alt-docs/index.html

BuildRequires(pre): rpm-build-licenses >= 0.6
PreReq: alt-docs-genextras >= 0.2
Requires: webclient

Summary: ALT Linux Documentation main page
Summary(ru_RU.KOI8-R):    ALT Linux

# Automatically added by buildreq on Fri Apr 07 2006
BuildRequires: ALDConvert python-modules python-modules-compiler python-modules-encodings

%description
Main page for ALT Linux Documentation. This package does not contain 
documentation itself but provides convenient interface for all installed 
documentation resources via menu and desktop link. It is also intented to 
serve as a main page of ALT Linux Documantation website.

%description -l ru_RU.KOI8-R
   ALT Linux.     
 ,  ,     
       .     
    ALT Linux.

%prep
%setup -q -n %name-%version

%build
make

%install
mkdir -p %buildroot%_menudir
mkdir -p %buildroot%_datadir/apps/kdesktop/DesktopLinks
mkdir -p %buildroot%_docdir/alt-docs
mv %_builddir/%name-%version/alt-docs-main %buildroot%_menudir
mv %_builddir/%name-%version/alt-docs-main.desktop %buildroot%_datadir/apps/kdesktop/DesktopLinks
#cp -r %_builddir/%name-%version/* %buildroot%_docdir/alt-docs/
make DESTDIR=%buildroot install

%triggerpostun -- alt-docs-main < 0.4-alt2
%unregister_alternatives_always %name-index.xml
%unregister_alternatives_always %name-distrib.xml
%unregister_alternatives_always %name-extras.xml
%unregister_alternatives_always %name-faq.xml
%unregister_alternatives_always %name-devel.xml

%post
%update_menus
%_bindir/alt-docs-genextras alt-docs

%postun
%clean_menus

%files
%_menudir/%name
%_datadir/apps/kdesktop/DesktopLinks/%name.desktop
%_docdir/alt-docs


%changelog
* Wed Apr 16 2008 Artem Zolochevskiy <azol@altlinux.ru> 0.5-alt1
- made modules link more visible (#13756)
- added altlogo
- added menu (links to subparts)

* Sun Aug 19 2007 Artem Zolochevskiy <azol@altlinux.ru> 0.4-alt7
- Fixed desktop link path

* Mon May 21 2007 Kirill Maslinsky <kirill@altlinux.ru> 0.4-alt6
- Fixed links on main page
  + relative links fixed (due to change in m-k link syntax)
  + external links to project web pages updated
- Change package group to more appropriate: Documentation

* Sun May 20 2007 Vitaly A. Ostanin <vyt@altlinux.ru> 0.4-alt5
- Fixed links to installed modules
- Fixed install in Makefile

* Tue Sep 12 2006 Kirill Maslinsky <kirill@altlinux.ru> 0.4-alt4
- Makefile:
  + index.html build fixed (closes #9232 once more)
  + list of installed files fixed

* Fri Apr 07 2006 Kirill Maslinsky <kirill@altlinux.ru> 0.4-alt3
- fixed html links on index page

* Tue Apr 04 2006 Kirill Maslinsky <kirill@altlinux.ru> 0.4-alt2
- content:
  + main page text rewritten (closes inconsistensy described in #9232 and more)
  + main page now in m-k source format
- package:
  + fixed incorrect alternatives removal (closes #8308)
  + URL changed to real one
  + spec cleanup (unnecessary macros removed)
  + Makefile and build stage added (m-k -> html)

* Tue Oct 18 2005 Kirill Maslinsky <kirill@altlinux.ru> 0.4-alt1
- all alternatives and absolute links removed

* Mon Sep 26 2005 Kirill Maslinsky <kirill@altlinux.ru> 0.3-alt4
- fixed typo in alternative for index.html

* Mon Sep 19 2005 Kirill Maslinsky <kirill@altlinux.ru> 0.3-alt3
- slightly updated

* Mon Jul 18 2005 Kirill Maslinsky <kirill@altlinux.ru> 0.3-alt2
- hacked for release, to be fixed

* Wed Sep 01 2004 Kirill Maslinsky <kirill@altlinux.ru> 0.3-alt1
- changed browser launch command in menu file ("/bin/sh -c" added)
- added sectioan and link for ALT development documentation, new
alternative and tap-page, consequently.

* Fri Jun 25 2004 Kirill Maslinsky <kirill@altlinux.ru> 0.2-alt1
- Main page structured and rewritten
- Added automatically generated list of installed docs for various distributions
- FAQ section and new corresponing symlink in alt-docs added 
- Links to GPL and FDL point now to local copies (common-licenses package)
- Russian translation of GPL and FDL included (in license subdir)


* Fri May 28 2004 Kirill Maslinsky <kirill@altlinux.ru> 0.1-alt3
- Added symbolic links for .css in alt-docs directory

* Mon May 24 2004 Kirill Maslinsky  <kirill@altlinux.ru> 0.1-alt2
- absolute links in index.html changed to relative 

* Fri Apr 30 2004 Kirill Maslinsky <kirill@altlinux.ru> 0.1-alt1
- initial working release 


